<?xml version="1.0" ?>

<!--Description:

 Converts the <target> entries of an XLIFF document into a PO (Portable Object)
 file.

Usage:

 C:\>msxsl <input> XLIFFToPO.xsl > <output>
 Where <input> is the XLIFF document to convert, and <output> is the result PO file.

Example:

 C:\>msxsl Input1.xlf XLIFFToPO.xsl > ThePOFile.po

Notes:

 The output file is in UTF-8, to change the output encoding change the value of the
 encoding attribute in the <xsl:output> element.
 The <target> elements in <alt-trans> are not output.

-->

<xsl:stylesheet
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

 <xsl:output method="text" encoding="utf-8" indent="no" />

 <xsl:template match="text()"/>
 <xsl:template match="alt-trans"/>

 <xsl:template match="comment()|note">
  <xsl:text># </xsl:text>
  <xsl:value-of select="."/>
  <xsl:text>&#x0d;&#x0a;</xsl:text>
 </xsl:template>

 <xsl:template match="target">
  <xsl:text>msgid "</xsl:text>
  <xsl:value-of select="../@id"/>
  <xsl:text>"&#x0d;&#x0a;</xsl:text>
  <xsl:text>msgstr "</xsl:text>
  <xsl:value-of select="."/>
  <xsl:text>"&#x0d;&#x0a;&#x0d;&#x0a;</xsl:text>
 </xsl:template>

</xsl:stylesheet>

